Create Funding Address for a sub-account using token network.
curl --request POST \
--url https://business-api.onboard.xyz/ledger/subaccounts/{subAccountIdRef}/funding-address \
--header 'x-api-key: <api-key>'import requests
url = "https://business-api.onboard.xyz/ledger/subaccounts/{subAccountIdRef}/funding-address"
headers = {"x-api-key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'x-api-key': '<api-key>'}};
fetch('https://business-api.onboard.xyz/ledger/subaccounts/{subAccountIdRef}/funding-address', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"address": "0x43e4715ae093a4c86b5ecddb52216c4f879e9672",
"tokenInfo": {
"code": "ETH_USDC",
"decimals": 6,
"contractAddress": "0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48",
"minimumDeposit": 5.25,
"networkInfo": {
"id": "ETH",
"name": "Ethereum",
"blockTime": 15,
"confirmations": 8,
"coinName": "Ether",
"coinSymbol": "ETH",
"supportsMemo": "false",
"alias": "BEP20",
"addressExplorerUrl": "https://etherscan.io/address",
"txExplorerUrl": "https://etherscan.io/tx"
},
"depositAvailable": true,
"withdrawalAvailable": true,
"withdrawalFee": "100.01",
"platformFeePercentage": 0.001
},
"memo": "<string>"
}{
"code": "BAD_REQUEST",
"message": "Request could not be validated."
}{
"code": "UNAUTHORIZED",
"message": "Either client security header is missing or it is not valid."
}{
"code": "ACCESS_DENIED",
"message": "Expected permission or scope is not present."
}{
"code": "ENTITY_ALREADY_EXIST",
"message": "Entity already exist, it can not be created."
}{
"code": "INTERNAL_ERROR",
"message": "An internal server error occurred."
}Stablecoin Deposits & Withdrawal
Generate Sub-account Funding Address
This operation allows the client to create an address for the supported token and network for a sub-account.
POST
/
ledger
/
subaccounts
/
{subAccountIdRef}
/
funding-address
Create Funding Address for a sub-account using token network.
Generates a new crypto deposit address for a sub-account.
Authorizations
Requires authentication via API key and HMAC signature.
x-api-key: Your API key generated from your Onboard Business dashboard.x-timestamp: Unix epoch timestamp (seconds) used in signature, allowed skew is 30 secondsx-signature: SHA256 HMAC HEX signature calculated overt={x-timestamp}&{requestBody}using your API Secret.
Path Parameters
The unique onboard sub-account ID or reference
Query Parameters
a unique code we assign to a token on a network, e.g. USDT_ETH